Bug 765785 - Enhance 'readdirp' fop to send xattrs and inodes in _cbk()
Enhance 'readdirp' fop to send xattrs and inodes in _cbk()
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Amar Tumballi
Raghavendra Bhat
:
Depends On:
Blocks: 817967 850503
  Show dependency treegraph
 
Reported: 2011-12-09 07:17 EST by Amar Tumballi
Modified: 2013-12-18 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:49:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa43
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2011-12-09 07:17:09 EST
Description of problem: Without this feature, implementing a proper stat-prefetch/xattr-prefetch will not be complete.

Version-Release number of selected component (if applicable): git master, 3.3.0

How reproducible: Feature not present as of now..

Additional info: Enhancement Request
Comment 1 Anand Avati 2012-01-25 05:03:54 EST
CHANGE: http://review.gluster.com/771 (core: get xattrs also as part of readdirp) merged in master by Anand Avati (avati@gluster.com)
Comment 2 Anand Avati 2012-02-21 00:14:33 EST
CHANGE: http://review.gluster.com/2713 (md-cache: meta-data caching translator) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Anand Avati 2012-02-21 00:14:55 EST
CHANGE: http://review.gluster.com/2714 (md-cache: replace stat-prefetch with md-cache in a backward compatible way) merged in master by Anand Avati (avati@redhat.com)
Comment 4 Anand Avati 2012-03-01 14:43:02 EST
CHANGE: http://review.gluster.com/2853 (Fix memory leaks found in readdir) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 5 Anand Avati 2012-03-19 08:45:24 EDT
CHANGE: http://review.gluster.com/2974 (libglusterfs/call-stub: ref dict while storing it in readdirp stub) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 6 Raghavendra Bhat 2012-05-24 05:52:13 EDT
Now with readdirp the xattrs of the files are also received. Checked with glusterfs-3.3.0qa43.


default_readdirp (call_frame_t *frame, xlator_t *this, fd_t *fd,
1120	                  size_t size, off_t off)	1120	                  size_t size, off_t off, dict_t *dict)
1121	{	1121	{
1122	        STACK_WIND (frame, default_readdirp_cbk, FIRST_CHILD(this),	1122	        STACK_WIND (frame, default_readdirp_cbk, FIRST_CHILD(this),
1123	                    FIRST_CHILD(this)->fops->readdirp, fd, size, off);	1123	                    FIRST_CHILD(this)->fops->readdirp, fd, size, off, dict);
1124	        return 0;	1124	        return 0;
1125	}	1125	}
Comment 7 Vijay Bellur 2012-07-04 04:15:51 EDT
CHANGE: http://review.gluster.com/3538 (md-cache: cache SELinux and Posix ACL xattrs only if enabled) merged in master by Anand Avati (avati@redhat.com)
Comment 8 Anand Avati 2013-05-13 16:34:52 EDT
REVIEW: http://review.gluster.org/4994 (md-cache: Make options structure NULL terminated) posted (#2) for review on master by Anand Avati (avati@redhat.com)
Comment 9 Anand Avati 2013-05-17 02:38:12 EDT
REVIEW: http://review.gluster.org/5028 (md-cache: Make options structure NULL terminated) posted (#1) for review on release-3.4 by Krishnan Parthasarathi (kparthas@redhat.com)
Comment 10 Anand Avati 2013-05-21 02:30:17 EDT
COMMIT: http://review.gluster.org/5028 committed in release-3.4 by Anand Avati (avati@redhat.com) 
------
commit 7ecc172ade1b8c42086b53084c509d217c82229a
Author: Krishnan Parthasarathi <kparthas@redhat.com>
Date:   Mon May 13 17:50:56 2013 +0530

    md-cache: Make options structure NULL terminated
    
    Change-Id: I8aa4f90ba7e1eecf3f978be04f8550049275464f
    BUG: 765785
    Signed-off-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Reviewed-on: http://review.gluster.org/5028
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 11 Anand Avati 2013-05-21 02:30:54 EDT
REVIEW: http://review.gluster.org/4994 (md-cache: Make options structure NULL terminated.) posted (#3) for review on master by Anand Avati (avati@redhat.com)
Comment 12 Anand Avati 2013-05-21 02:31:23 EDT
COMMIT: http://review.gluster.org/4994 committed in master by Anand Avati (avati@redhat.com) 
------
commit 2eed9c78569311e4fa75735d67e8838cc79109a7
Author: Krishnan Parthasarathi <kparthas@redhat.com>
Date:   Mon May 13 17:50:56 2013 +0530

    md-cache: Make options structure NULL terminated.
    
    Change-Id: I8aa4f90ba7e1eecf3f978be04f8550049275464f
    BUG: 765785
    Signed-off-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Reviewed-on: http://review.gluster.org/4994
    Reviewed-by: Anand Avati <avati@redhat.com>
    Tested-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.